Package com.collibra.dgc.core.api.dto.instance.attachment

# Class AddAttachmentRequest.FileReference

Object
FileReference

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `AddAttachmentRequest`

public static class AddAttachmentRequest.FileReference extends Object implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AddAttachmentRequest.FileReference.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileReference()`
  `FileReference(String name, InputStream fileStream)`
  `FileReference(String name, InputStream fileStream, UUID fileId)`
  Creates a new `FileReference` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddAttachmentRequest.FileReference.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getFileId()`
  The file id for attachment.
  `InputStream`
  `getFileStream()`
  The file content for attachment.
  `String`
  `getName()`
  The display name of the file of this attachment.
  `int`
  `hashCode()`
  `void`
  `setFileId(UUID fileId)`
  The file id for attachment.
  `void`
  `setFileStream(InputStream fileStream)`
  The file content for attachment.
  `void`
  `setName(String name)`
  The display name of the file of this attachment.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FileReference

    public FileReference(String name, InputStream fileStream)

  - ### FileReference

    public FileReference()

  - ### FileReference

    public FileReference(String name, InputStream fileStream, UUID fileId)
    Creates a new `FileReference` instance.
    Parameters:
      `name` - The display name of the file of this attachment.
      `fileStream` - The file content for attachment. It could not be used together with `fileId`.
      `fileId` - The file id for attachment. It could not be used together with `fileStream`.

- ## Method Details

  - ### builder

    public static AddAttachmentRequest.FileReference.Builder builder()

  - ### getName

    public String getName()
    The display name of the file of this attachment.

  - ### getFileStream

    public InputStream getFileStream()
    The file content for attachment. It could not be used together with `fileId`.

  - ### getFileId

    public UUID getFileId()
    The file id for attachment. It could not be used together with `fileStream`.

  - ### setName

    public void setName(String name)
    The display name of the file of this attachment.

  - ### setFileStream

    public void setFileStream(InputStream fileStream)
    The file content for attachment. It could not be used together with `fileId`.

  - ### setFileId

    public void setFileId(UUID fileId)
    The file id for attachment. It could not be used together with `fileStream`.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`